# Class JCommunityApi

#### Hierarchy (View Summary)

- JBaseApi
  - JCommunityApi

- Defined in jamespot-user-api/src/apis/community/community.ts:7

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

autocomplete
get
sendRequest

## Constructors

### constructor

- new JCommunityApi(jApi: JamespotUserApi): JCommunityApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JCommunityApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### autocomplete

- autocomplete(q: string): Promise<jObjectAutocomplete[]>

  #### Parameters

  - q: string

  #### Returns Promise<jObjectAutocomplete[]>

  - Defined in jamespot-user-api/src/apis/community/community.ts:26

### get

- get<T extends "raw-little" | "raw-list" | "raw-view" | undefined = undefined>(
  idCommunity: string | number,
  format?: T,
  ): Promise<
  ApiWrapper<
  ApiReturn<
  T,
  jObjectLittle,
  jObjectLittle,
  jObjectLittle,
  jObjectLittle,
  >,
  BaseMessages,
  >,
  >

  #### Type Parameters

  - T extends "raw-little" | "raw-list" | "raw-view" | undefined = undefined

  #### Parameters

  - idCommunity: string | number
  - `Optional` format: T

  #### Returns Promise<
  ApiWrapper<
  ApiReturn<
  T,
  jObjectLittle,
  jObjectLittle,
  jObjectLittle,
  jObjectLittle,
  >,
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/community/community.ts:8

### sendRequest

- sendRequest(
  message: string,
  idUserTo: number,
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - message: string
  - idUserTo: number

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/community/community.ts:17